@echo off

set folder=%1
::%1 приходит уже с кавычками

set skiplist=%temp%\skiplist.txt

echo fbclient.dll>>%skiplist%
echo fbembed.dll>>%skiplist%
echo GrdVkc32.dll>>%skiplist%
echo htmlayout.dll>>%skiplist%
echo icudt30.dll>>%skiplist%
echo icuin30.dll>>%skiplist%
echo icuuc30.dll>>%skiplist%
echo msvbvm60.dll>>%skiplist%
echo NOVEX32.DLL>>%skiplist%
echo scrrun.dll>>%skiplist%

SETLOCAL ENABLEDELAYEDEXPANSION

for /R %folder% %%F in (*.dll) do (

	set skip=0

	for /F %%S in (%skiplist%) do (
		if "%%~nxF" == "%%S" set skip=1
	)

	if !skip! == 0 (
		regsvr32 /s "%%F"
	) else (
		echo "Пропускаем %%F"
	)
)

ENDLOCAL

if exist "%skiplist%" del "%skiplist%"

REG ADD HKCU\Software\Wizardsoft\PlanWizard\Settings /v Serial /t REG_SZ /d "1058-410-M1505-1772" /f
REG ADD HKCU\Software\Wizardsoft\PlanWizard\Settings /v dongleid /t REG_DWORD /d 985423009 /f
